Author Topic: Qemu problem  (Read 1317 times)

reddeercity

  • Hero Member
  • *****
  • Posts: 1389
Qemu problem
« on: February 26, 2017, 05:12:03 AM »
Trying to get qemu up and running but I seen to hit a little brick wall , I do believe I did everything right I'm on a VM of Ubuntu in Windows7 Pro on AMD CPU
using the pre configured build from Here the problems is I get a bunch of AMD64 errors on install .  I followed this video https://www.youtube.com/watch?v=zylZd3ljIeU&t=315s 
and this one  https://www.youtube.com/watch?v=Z8x6Bzv2aV0 .
So to be sure this is what is did : in qemu open up a terminal window and run
Code: [Select]
./install.sh
Then open terminal window in qemu/qemu1.6.0
./configure --target-list=arm-softmmu --disable-docs --enable-sdl
got error " requested feature sdl configure was not able to find"

so run this from the video hint in terminal window in qemu
 
Code: [Select]
sudo apt-get install libsdl1.2-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
      libasound2-dev libavahi-client-dev libavahi-common-dev libcaca-dev
      libdbus-1-dev libdrm-dev libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev
      libpcre3-dev libpcrecpp0 libpthread-stubs0-dev libpulse-dev libslang2-dev
      libx11-dev libx11-doc libx11-xcb-dev libxau-dev libxcb-dri2-0-dev
      libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev
      libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev
      libxcb1-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev
      libxshmfence-dev libxxf86vm-dev mesa-common-dev x11proto-core-dev
      x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev
      x11proto-input-dev x11proto-kb-dev x11proto-xext-dev
      x11proto-xf86vidmode-dev xorg-sgml-doctools xtrans-dev
 Suggested packages:
      libasound2-doc libglib2.0-doc libxcb-doc libxext-doc
The following NEW packages will be installed:
      libasound2-dev libavahi-client-dev libavahi-common-dev libcaca-dev
      libdbus-1-dev libdrm-dev libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev
      libpcre3-dev libpcrecpp0 libpthread-stubs0-dev libpulse-dev libsdl1.2-dev
      libslang2-dev libx11-dev libx11-doc libx11-xcb-dev libxau-dev
      libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev
      libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev
      libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmcp-dev libxext-dev
      libxfixes-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev
      x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev
      x11proto-gl-dev x11proto-input-dev x11proto-kb-dev x11proto-xext-dev
      x11proto-xf86vidmode-dev xorg-sgml-doctools xtrans-dev
0 upgraded, 47 newly installed, 0 to remove and 0 not upgraded.
Need to get 418 kB/8.141 kB of archives.
After this operation, 44,8 MB of additional disk space will be used
Do you want to continue? [Y/n] y
Now this is when errors start
Code: [Select]
Err http://de.archive.ubuntu.com/ubuntu/ trusty-updates/main libdbus-1-dev amd64 1.6.18-0ubuntu4.3 404  Not Found [IP: 141.30.13.20 80]
Err http://de.archive.ubuntu.com/ubuntu/ trusty-updates/main mesa-common-dev amd64 10.1.3-0ubuntu0.2  404  Not Found [IP: 141.30.13.20 80]
Err http://de.archive.ubuntu.com/ubuntu/ trusty-updates/main libgl1-mesa-dev amd64 10.1.3-0ubuntu0.2     404    Not Found [IP: 141.30.13.20 80]
Err http://security.ubuntu.com/ubuntu/ trusty-security/main libdbus-1-dev amd64 1.6.18-0ubuntu4.3            404    Not Found [IP: 91.189.88.152 80]
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/d/dbus/libdbus-1-dev_1.6.18- 0ubuntu4.3_amd64.deb     404  Not Found [IP: 91.189.88.152 80]
E: Failed to fetch http://de.archive.ubuntu.com/ubuntu/pool/main/m/mesa/mesa-common-dev_10.1.3-0ubuntu0.2_amd64.deb    404  Not Found [IP: 141.30.13.20 80]
E: Failed to fetch http://de.archive.ubuntu.com/ubuntu/pool/main/m/mesa/libgl1-mesa-dev_10.1.3-0ubuntu0.2_amd64.deb  404  Not Found [IP: 141.30.13.20 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
I did try the suggestion "apt-get update" & " --fix-missing"   still no joy.

next I did  "cat ROM0.BIN ROM1.BIN > ROM-5D2.BIN"
so I have my BIN
then
./run_ml_5D2.sh
make: Entering directory `/home/ml/test/qemu/qemu-1.6.0'
I get this
Please call configure before running make!
make: *** [config-host.mak] Error 1

So is Qemu supported in AMD  or is there a Newer version the 1.6.0 ?
is there other links to the requested AMD stuff I could use ?
it seem it what's to be configured before I can start the emulator
So I'm stuck , can any one shed so light on this , Thanks


a1ex

  • Administrator
  • Hero Member
  • *****
  • Posts: 10320
  • 5D Mark Free
Re: Qemu problem
« Reply #1 on: February 26, 2017, 02:53:07 PM »
For QEMU, it's best to start with the qemu branch. Refer to this log to see how the installation process should work:

https://builds.magiclantern.fm/jenkins/view/QEMU/job/QEMU-tests/47/console

Still, the error you are getting appears to be related to Ubuntu packages (so the newer QEMU will give the same error). You ran the "apt-get update" with sudo, right?

5D2 is not emulated very well though, mainly because the QEMU IDE backend (which I've used for CF emulation) sometimes locks up. To fix it, one has to know QEMU internals very well (I don't). LiveView emulation (which I assume you are interested in) is not working yet; the most advanced proof of concept, at the time of writing, is Greg's experiment on 500D.

reddeercity

  • Hero Member
  • *****
  • Posts: 1389
Re: Qemu problem
« Reply #2 on: February 27, 2017, 04:00:50 AM »
Thanks A1ex , I'll try the newer version on my Intel CPU Laptop since AMD get errors .
You ran the "apt-get update" with sudo, right?
Yes
5D2 is not emulated very well though, mainly because the QEMU IDE backend (which I've used for CF emulation) sometimes locks up.
To fix it, one has to know QEMU internals very well (I don't).
Ok good to know , looks like another crash course in Qemu for me .
LiveView emulation (which I assume you are interested in) is not working yet
Yes partly but not the total reasons I what the emulator up & running , I looking to do debugging & run some experimental builds
from my own coding without risk of bricking my cam .